const path = require('path');

module.exports = async function cookies (_options) {
  const defaultOptions = {
    redirect: '/please-use-a-modern-browser.html',
    redirectToEdge: false,
    backgroundColor: undefined,
    modalBackground: undefined,
    textColor: undefined
  }
  
  let options = Object.assign(defaultOptions, _options);
  if(this.options.globalName) options['globalName'] = this.options.globalName;
  
  this.addPlugin({
    src: path.resolve(__dirname, 'plugin.js'),
    fileName: 'nuxt-ie.js',
    options
  });
}

module.exports.meta = require('../package.json')