const options = <%= serialize(options) %>;

const redirect = (red) => {
  let query = '';
  let map = {
    backgroundColor: 'b',
    textColor: 'tc',
    modalBackground: 'm',
    title: 't',
    text: 'tx'
  }

  for(let key in map){
    if(options[key]) query+=`&${map[key]}=${options[key]}`
  }

  query = query.replace(/#/g, '');
  red(`${options.redirect}${query !== '' ? `?${query}` : ''}`)
}

export default (context, inject) =>{
  const ua = process.server ? context.ssrContext.req.headers['user-agent'] : window.navigator.userAgent;
  const isIE = ua.indexOf("MSIE ") > 0 || !!ua.match(/Trident.*rv\:11\./);

  if(isIE){
    if(options.redirect && options.redirectToEdge === false){
      redirect(context.redirect);
    }
  
    if(options.redirectToEdge && process.client){
      try{
        window.location = 'microsoft-edge:' + window.location;
        setTimeout(function() {
          window.location = 'https://go.microsoft.com/fwlink/?linkid=2135547';
        }, 1);
      } catch(e){
        redirect(context.redirect);
      }
    }
  }

  if(options.redirect === false && options.redirectToEdge === false){
    inject('isIE', isIE)
  }
}